//upiti
int T = int.Parse(Console.ReadLine());
for (int K = 0; K < T; K++)//svaki upit jedno izvrsavanje koda
{
    //lista u kojoj se nalaze vec dobijeni proizvodi
    List<long> proizvodi = new List<long>();
    long r = 1;//koristimo za proizvod
    
    long N = long.Parse(Console.ReadLine());//broj do kog se gleda

    for (long i = 1; i < N + 1; i++)//krecemo od 1 pa za svaki broj
    {
        long x = i;//koristimmo da ne bismo menjali i
        while (x > 0) //sve dok nismo dosli do 0
        {
            long temp;//privremena
            temp = x % 10;//ostatak pri deljenju sa 10 je nasa prva cifra
            x /= 10;//onda zapravo podelimo sa 10
            r *= temp;//pomnozimo r sa prvom cifrom
        }
        if (proizvodi.Contains(r) == false)
        {
            proizvodi.Add(r);
        }
        r = 1;
    }
    Console.WriteLine(proizvodi.Count);
}